Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 22 Nov 2014, 21:11
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 82 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 80, 81, 82, 83, 84, ..., 87, 88, 89 Next
Author Message
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sun 14 Oct 2012, 13:08    Post subject:  

Jemimah is now developing Saluki - she was the developer of the Pupeee-series and is very adept with drivers, etc for them.
_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send private message Visit poster's website 
anikin

Joined: 10 May 2012
Posts: 518

PostPosted: Sun 14 Oct 2012, 13:20    Post subject:  

pemasu wrote:
I believe you would need eee.ko kernel module

That's exactly what the system complains is missing. As a matter of fact I also have Jemimah's puppeee installed on this machine and it runs beautifully, but as you know it's a bit outdated, unsupported and orphaned. And I've read that thread among many others before posting here and have also seen some generic solutions while researching the issue, but they all require knowledge, which is severely lacking here. Anyway, thank you very much for your great work and patience.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9257
Location: Stratford, Ontario

PostPosted: Sun 14 Oct 2012, 14:42    Post subject:  

Here is the eee.ko module for 5.X.3.4.11. It took some hacks to make it build in this new kernel, so I can't guarantee that it works.

There are instructions here.
eee_fan_CPU_k3.4.2-0.2.pet
Description 
pet

 Download 
Filename  eee_fan_CPU_k3.4.2-0.2.pet 
Filesize  4.16 KB 
Downloaded  373 Time(s) 
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sun 14 Oct 2012, 14:50    Post subject:  

Dpup Expimo 5.X.3.4.12 has been uploaded. It is mainly bug fix release.

Updates. Firefox-16.01 due to critical vulnerabilities in 16.0. Mplayer recompiled with external dvdnav and dvdread. PupMenu and PupSnap updated to the latest. Pavrecord and Precord updated to the latest.

Ati-Amd-Catalyst 12.6 and 12.8 uploaded to the repo and added to the PPM exprimo database.

Savefile creation at first shutdown happens now in X, wmpoweroff and wmreboot has been synced with the woof.

And. Thanks rcrsn51 for the eee.ko module. Anikin can now test it. Kernel is the same in 5.X.3.4.12 ie 3.4.2.

Download link: http://www.smokey01.com/pemasu/DpupSqueeze5X/DpupExprimo5X3412/

Last edited by pemasu on Sun 14 Oct 2012, 15:42; edited 1 time in total
Back to top
View user's profile Send private message 
ETP


Joined: 19 Oct 2010
Posts: 573
Location: UK

PostPosted: Sun 14 Oct 2012, 15:15    Post subject:  

pemasu wrote:
Dpup Expimo 5.X.3.4.12 has been uploaded. It is mainly bug fix release.

Please note that the link in the above post should be:

http://www.smokey01.com/pemasu/DpupSqueeze5X/DpupExprimo5X3412/

Quote:
ETP. Not a relic. It is used with Desktop > Windows fonts app. You can enable Windows OS fonts from their location with it.
Editing the script /etc/WINDOWS, you can add or remove the symlinked fonts in use.
It is for me to use Arial font when I write with Libre Office.

Thanks for your explanation of its use for fonts which is very handy. I am however still
troubled about the rest of the script which in certain circumstances appears to attempt to make use of
the windows swap file. My knowledge of bash is limited but I thought that Puppy these days could only use a linux swap partition if it determined that one existed. Can you please explain?

_________________
Regards ETP
Accessibility Pups: -- Magoo -- The Pup With No Name -- MouseCam -- Obedient
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sun 14 Oct 2012, 16:05    Post subject:  

ETP. /etc/init.d/rc.windows does not try to use windows swap file. But /usr/sbin/winfonts works in conjunction with that system script....and that winfonts script will be launched from the menu > Windows fonts.
It has that probing part. I havent ever tried to use windows swap so I dont know anything about usability of it. I have used only the windows fonts part. It could be possible to strip the windows swap part out of the script. I keep that in mind. It is not my script as you have noticed. I have just noticed it is handy with preinstalled fonts. But about that swap part I dont have experience. Better swap experts need to give you explanation. Sorry.
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 2154
Location: Ontario Canada

PostPosted: Sun 14 Oct 2012, 17:19    Post subject: Dpup Exprimo 5.X.3.4.12 with 3.4.2 kernel.
Subject description: running from live dvd on intel imac
 

Running from live dvd with a savefile.

Report Video 1.4 - Sun 14 Oct 2012 on Dpup Exprimo 5.X.3.4.12 -
Linux 3.4.2-dpup i686

Chip description:
0.0 VGA compatible controller: ATI Technologies Inc Radeon HD 2400 XT
oem: ATI ATOMBIOS
product: M74 01.00

X Server: Xorg Driver used: fglrx

X.Org version: 1.7.7
dimensions: 1680x1050 pixels (444x277 millimeters)
depth of root window: 24 planes

Display
Resolution 1680x1050 pixels
OpenGL Renderer Unknown
X11 Vendor The X.Org Foundation

Computer
Processor 2x Intel(R) Core(TM)2 Duo CPU E8135 @ 2.40GHz
Memory 3095MB (300MB used)

USB Devices
BRCM2046 Hub
Bluetooth USB Host Controller
Sound Blaster X-Fi Go! Pro
USB2.0 Hub
Compact Wireless-G USB Adapter - linksys rt73
DRX-820U
Built-in iSight

I'm using a usb sound card, the built-in webcam is working with
guvcview.
I tried installing audacious in ppm but got a broken link no matter
which server that I chose to download from.
ppmscrn.jpg
 Description   
 Filesize   82.13 KB
 Viewed   773 Time(s)

ppmscrn.jpg

Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Sun 14 Oct 2012, 17:25    Post subject:  

Billtoo. Thank you of the feedback. I have removed the audacious pet. it was combination pet with ffmpeg and It is outdated nowadays. It would have broken the multimedia framework. I have removed it now also from the exprimo database file. Thanks. Yeah, audacious would be good to have, but I am afraid I wont compile it.
It is still there as sfs. Maybe I should remove it also. It is also outdated.

But...you probably meant audacious deb. There seems to be 2 versions, one from main and one from backports which is newer. Backports should download using ftp.debian-backports download choice.

Did you use amd_fglrx_catalyst-12.6-k3.4.2-dpup.pet for fglrx or did you compile it yourself. Anyway...nice to see that fglrx works for you. Very Happy
Back to top
View user's profile Send private message 
anikin

Joined: 10 May 2012
Posts: 518

PostPosted: Sun 14 Oct 2012, 18:27    Post subject:  

rcrsn51 wrote:
Here is the eee.ko module for 5.X.3.4.11. It took some hacks to make it build in this new kernel, so I can't guarantee that it works.

Hi rcrsn51,
Thank you very much for your help, it is really appreciated! The module does work as I am testing it now. I can manually stop the fan, assign speeds, default was 45 - too noisy, 30 makes it tolerable, 25 barely audible and perhaps impractical in terms of airflow. I also installed Dougal's gui but it seems to be incompatible with this puppy.
Back to top
View user's profile Send private message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9257
Location: Stratford, Ontario

PostPosted: Sun 14 Oct 2012, 18:33    Post subject:  

Glad to help.

anikin wrote:
I also installed Dougal's gui but it seems to be incompatible with this puppy.

Where did you find this?
Back to top
View user's profile Send private message 
Billtoo


Joined: 07 Apr 2009
Posts: 2154
Location: Ontario Canada

PostPosted: Sun 14 Oct 2012, 18:58    Post subject:  

pemasu wrote:

Did you use amd_fglrx_catalyst-12.6-k3.4.2-dpup.pet for fglrx or did you compile it yourself. Anyway...nice to see that fglrx works for you. Very Happy


I used your 12.6 pet, the card in this pc is in the legacy section already.
google earth and openarena work okay with it.

I couldn't download anything in ppm, I tried kdegames and get the same errors, actually I got the errors with kdegames in the last exprimo but I didn't report it..maybe I'm not using ppm correctly?
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1141

PostPosted: Sun 14 Oct 2012, 21:09    Post subject:  

Hi everyone!
Dpup runs a little bit faster than regular Puppy, even with UTF-8 turned on. Laughing
I only found that videos look yellowish, but it must be because of my computer specs (I know nothing about video cards and the like). Oh yes, I had to downgrade to Gnome MPlayer 1.0.2 so that videos don't get cropped when the player window is resized, it happens to me with other Puppies, too. And changing to another window manager fails to me, X is restarted but it won't get to the graphic mode, however I can return by typing " xwin jwm ". Again, maybe it's my computer, a Pentium 4 with 1GB RAM and 2.6Ghz celeron processor. I attach sysinfo report, for anyone interested. If that is important, the Puppy that works best on my computer is latest Wary (although my computer isn't either real old or real new).
sys-info-121014.gz
Description 
gz

 Download 
Filename  sys-info-121014.gz 
Filesize  15.01 KB 
Downloaded  354 Time(s) 
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 817
Location: Union New Jersey USA

PostPosted: Sun 14 Oct 2012, 23:21    Post subject: 5x3,4.12 running fine>amd-flgrx driver required reboot  

Hi pemasu & all;
My specs: Quad-core with Ati-Radeon 3100 graphics.
Manual frugal install. Set time-zone & used frisbee to connect to wireless adapter. No problem. Before creating SaveFile, used PPM to install amd_flgrx_catalyst-12.6-k.3.4.2-dpup.pet. Read pop-instructions. Logged out. Remembered 1st & third, but may have mistyped 2nd, so typing third reported "invalid instructions" or words to that effect. Typing "aticonfig --help" did not list "aticonfig --initial" as permitted. I should have written all instructions on a notepad before logging out. Logged back in successfully and chose to reboot creating a SaveFile. Rebooted w/o a problem. Logged out and typed "aticonfig --initial" which worked. Logging back in [xwin] resulted in correct resolution and Menu>System>System Status and Config>Report Video Graphics Information revealed fglrx driver was being used.

Great job again, Pemasu. I'll explore some more tomorrow.

By the way, does anyone know if any version of umplayer functions under Exprimo. I think it requires Qt, so I don't know if its inclusion would cost or save space. But as it includes Shoutcast Radio, and the equivalent (or module of) gtk-youtube-viewer, as well as possibly replacing gnome, it provides a nice one-stop vehicle for most multimedia needs.
I know there's a dpup version, but I'm not sure if or which version of qt would be required in Exprimo.

Edit: See pemasu response next post. Worked great. Thanks again, pemasu.

mikesLr

Last edited by mikeslr on Mon 15 Oct 2012, 11:26; edited 1 time in total
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 15 Oct 2012, 01:47    Post subject:  

Anikin. Great news. And big hand to rcrsn51 for compiling and patching the eee.ko module. I could include it to the build in next release.

Billtoo. There is something wrong with your PPM. First thing which comes to my mind is that you use savefile from older version. Those repos download just fine for me. I have changed the repo database specs a little so older savefile could brake PPM, maybe. Or it something else which I dont understand.

Vicmz. Good to hear your report about gnome-mplayer. I am a bit loss what I could do with it. Other than downgrade it, lol.

Mikeslr. Good to hear your report about working catalyst-fglrx driver. About Umplayer. Use PPM and exprimo repo. Choose umplayer-0.9.7-dpup > click examine dependencies > download umplayer and corresponding qt-4.8.0 package > enjoy.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5465
Location: Finland

PostPosted: Mon 15 Oct 2012, 03:52    Post subject:  

mcewanw has fixed the pAVrecord in version 0.8.8. The combining of the video and audio had problems with ffmpeg 0.11.1 which I have through git.
The newest version combines audio and video right and produces the combined AV-file. Tested with mine inbuild microphone in laptop.
I used x11grab option to record my desktop with my not so nice voice. Lol.

http://murga-linux.com/puppy/viewtopic.php?p=658388#658388
pavrecord-0.8.8.pet
Description 
pet

 Download 
Filename  pavrecord-0.8.8.pet 
Filesize  13.89 KB 
Downloaded  369 Time(s) 
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 82 of 89 [1330 Posts]   Goto page: Previous 1, 2, 3, ..., 80, 81, 82, 83, 84, ..., 87, 88, 89 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1114s ][ Queries: 12 (0.0194s) ][ GZIP on ]